package com.lesingle.modules.biz.review.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lesingle.common.result.PageResult;
import com.lesingle.modules.biz.review.dto.CreateReviewRuleDto;
import com.lesingle.modules.biz.review.entity.BizContestReviewRule;

import java.util.List;
import java.util.Map;

public interface IContestReviewRuleService extends IService<BizContestReviewRule> {

    BizContestReviewRule createRule(CreateReviewRuleDto dto, Long tenantId);

    PageResult<Map<String, Object>> findAll(Long page, Long pageSize, String ruleName, Long tenantId);

    List<Map<String, Object>> findAllForSelect(Long tenantId);

    Map<String, Object> findDetail(Long id);

    BizContestReviewRule updateRule(Long id, CreateReviewRuleDto dto);

    void removeRule(Long id);
}
